• Share
    • Twitter
    • LinkedIn
    • Facebook
    • Email
  • Feedback
  • Edit
Show / Hide Table of Contents

POST Agents/Person/SaveConsentPerson

Some tooltip text!
• 3 minutes to read
 • 3 minutes to read
POST /api/v1/Agents/Person/SaveConsentPerson

Updates the existing ConsentPerson or creates a new ConsentPerson if the id parameter is 0.

NsApiSlow threshold: 2000 ms.

Request Headers

Parameter Name Description
Authorization Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type.
X-XSRF-TOKEN If not using Authorization header, you must provide XSRF value from cookie or hidden input field
Content-Type Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json
Accept Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json
Accept-Language Convert string references and multi-language values into a specified language (iso2) code.
SO-Language Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.
SO-Culture Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.
SO-TimeZone Specify the timezone code that you would like date/time responses converted to.
SO-AppToken The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Request Body: consentPerson

The ConsentPerson that is saved

Property Name Type Description
ConsentPersonId Integer ConsentPerson ID
ConsentSource ConsentSource The consent source
LegalBase LegalBase The legal base
PersonId Integer Person ID
ConsentPurpose ConsentPurpose The consent purpose
Comment String Comment regarding this specific consent

Response:

OK

Response Description
200 OK

Response body: ConsentPerson

Property Name Type Description
ConsentPersonId int32 ConsentPerson ID
ConsentSource ConsentSource The consent source
LegalBase LegalBase The legal base
PersonId int32 Person ID
ConsentPurpose ConsentPurpose The consent purpose
Comment string Comment regarding this specific consent
TableRight TableRight The carrier's table right
FieldProperties object Field property dictionary mapping field names to field access rights.

Sample request

POST /api/v1/Agents/Person/SaveConsentPerson
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8

{
  "ConsentPersonId": 86,
  "ConsentSource": null,
  "LegalBase": null,
  "PersonId": 452,
  "ConsentPurpose": null,
  "Comment": "harum"
}

Sample response

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
  "ConsentPersonId": 814,
  "ConsentSource": null,
  "LegalBase": null,
  "PersonId": 375,
  "ConsentPurpose": null,
  "Comment": "Updated consent preferences for marketing communications",
  "TableRight": null,
  "FieldProperties": {
    "fieldName": {
      "FieldRight": null,
      "FieldType": "System.Int32",
      "FieldLength": 210
    }
  }
}
© SuperOffice. All rights reserved.
SuperOffice |  Community |  Release Notes |  Privacy |  Site feedback |  Search Docs |  About Docs |  Contribute |  Back to top